libzypp: zypp::target::rpm::SingleTransReport Struct Reference

libzypp 17.36.6

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
zypp::target::rpm::SingleTransReport Struct Reference

Report active throughout the whole rpm transaction. More...

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::target::rpm::SingleTransReport:

## Public Types
enum class | loglevel { dbg , msg , war , err , crt }
| Rendering hint for log-lines to show. More...
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Static Public Member Functions
static const char *const | loglevelPrefix (loglevel level_r)
| Suggested prefix for log-lines to show.

## Static Public Attributes
static const UserData::ContentType contentLogline | ZYPP_API
| `"zypp-rpm/logline"` report a line suitable to be written to the screen.

## Additional Inherited Members
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Detailed Description

Report active throughout the whole rpm transaction.

The report covers events not directly related to an individual sub-task. Mostly log lines.

Todo
  maybe include the sub-task reports here as well, so it becomes the only report needed to follow the transaction.

Definition at line 755 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ loglevel

enum class zypp::target::rpm::SingleTransReport::loglevel
| strong

Rendering hint for log-lines to show.

Enumerator
dbg |
msg |
war |
err |
crt |

Definition at line 764 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ loglevelPrefix()

static const char *const zypp::target::rpm::SingleTransReport::loglevelPrefix | ( | loglevel | level_r | ) |
| inlinestatic

Suggested prefix for log-lines to show.

Definition at line 766 of file ZYppCallbacks.h.

## Member Data Documentation

## ◆ ZYPP_API

const UserData::ContentType contentLogline zypp::target::rpm::SingleTransReport::ZYPP_API
| static

`"zypp-rpm/logline"` report a line suitable to be written to the screen.

UserData: `"line"` : std::reference_wrapper<const std::string>; the line to show `"level"` : enum class loglevel; rendering hint

Definition at line 762 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h